Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class AddressLoadManager

java.lang.Object
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
ru.bitel.bgbilling.plugins.fias.server.bean.AddressLoadManager

    public class AddressLoadManager
    extends BaseLoadManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, con, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, logger, PROFILE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AddressLoadManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `addAllTempStreet​(City city)` |
  `void` | `createTempStreetTable​(java.util.List<Street> streets)` |
  `java.util.List<Street>` | `findStreetInFias​(Street street)` |
  `java.util.List<City>` | `getCityFromBG()` |
  `java.util.List<City>` | `getCityList()` |
  `Street` | `getNextEmptyBillingStreet​(int cityId)` |
  `java.util.List<Street>` | `getStreetList​(City city)` |
  `boolean` | `loadInProcess()` |
  `void` | `updateCity​(City city)` |
  `void` | `updateCityBgTitle​(int cityId, java.lang.String name)` |
  `void` | `updateStreet​(Street street)` |
  `void` | `updateStreetBgTitle​(java.util.List<Street> streets)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressLoadManager

    public AddressLoadManager​(java.sql.Connection con)

- ## Method Details

  - ### updateCity

    public void updateCity​(City city) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStreet

    public void updateStreet​(Street street) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addAllTempStreet

    public java.lang.String addAllTempStreet​(City city) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### createTempStreetTable

    public void createTempStreetTable​(java.util.List<Street> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextEmptyBillingStreet

    public Street getNextEmptyBillingStreet​(int cityId) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### findStreetInFias

    public java.util.List<Street> findStreetInFias​(Street street) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### loadInProcess

    public boolean loadInProcess() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCityFromBG

    public java.util.List<City> getCityFromBG() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCityList

    public java.util.List<City> getCityList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStreetList

    public java.util.List<Street> getStreetList​(City city) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateCityBgTitle

    public void updateCityBgTitle​(int cityId, java.lang.String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStreetBgTitle

    public void updateStreetBgTitle​(java.util.List<Street> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`